%define oname   flare

Name:           flare-engine
Version:        1.13.04
Release:        %mkrel 1
Summary:        Free/Libre Action Roleplaying Engine
License:        GPLv3+ and CC-BY-SA
Group:          Games/Adventure
URL:            http://flarerpg.org
Source0:        https://github.com/flareteam/flare-engine/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)

Recommends:     %{oname}-game = %{version}

%description
FLARE (Free Libre Action Roleplaying Engine) is a simple game engine built to
handle a very specific kind of game: single-player 2D action RPGs. Flare is not
a reimplementation of an existing game or engine. It is a tribute to and
exploration of the action RPG genre.

Games using Flare can be found in the following packages:
 * flare-game: The Empyrean Campaign

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc CREDITS.engine.txt README.engine.md RELEASE_NOTES.txt
%license COPYING
%{_datadir}/applications/%{oname}.desktop
%{_gamesbindir}/%{oname}
%{_gamesdatadir}/%{oname}/
%{_iconsdir}/hicolor/scalable/apps/%{oname}.svg
%{_mandir}/man6/%{oname}.6*


%changelog
* Thu Oct 06 2022 neoclust <neoclust> 1.13.04-1.mga9
+ Revision: 1895180
- New version 1.13.04

* Fri Apr 01 2022 umeabot <umeabot> 1.12-2.mga9
+ Revision: 1840024
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 akien <akien> 1.12-1.mga9
+ Revision: 1738885
- Version 1.12

* Sat Feb 15 2020 daviddavid <daviddavid> 1.09.01-2.mga8
+ Revision: 1525817
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 akien <akien> 1.09.01-1.mga7
+ Revision: 1381824
- Version 1.09.01

* Sat Oct 20 2018 akien <akien> 1.08-1.mga7
+ Revision: 1322989
- Version 1.08

* Sun Sep 23 2018 umeabot <umeabot> 1.06-2.mga7
+ Revision: 1297715
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 akien <akien> 1.06-1.mga7
+ Revision: 1235647
- Version 1.06

* Wed Mar 14 2018 akien <akien> 1.0-1.mga7
+ Revision: 1209344
- Version 1.0, uses SDL2
- Rename to flare-engine, the main game (Empyrean Campaign) is packaged as flare-game, as advised by upstream
- Rename spec file
- Rename flare to flare-engine, game will be packaged in flare-game

* Fri Feb 05 2016 umeabot <umeabot> 0.19-5.mga6
+ Revision: 936383
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.19-4.mga5
+ Revision: 744687
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.19-3.mga5
+ Revision: 679224
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.19-2.mga5
+ Revision: 591719
- rebuild for SDL_gfx

* Thu Dec 05 2013 akien <akien> 0.19-1.mga4
+ Revision: 555281
- Upstream release 0.19: http://flarerpg.org/blog/20131203
- Dropping utf8 fix patch applied upstream
- Rediffed system SDL_gfx patch
- Man page now included upstream
- Merging CMakeLists.txt for the game and the engine, that are now splitted upstream (we may split our package for the 1.0 release, which should be the next one)
- Upstream release 0.18
- Changelog: http://flarerpg.org/blog/20130331
- Change description to be adapted to the FLARE game and not the FLARE engine
- Added two Fedora patches (utf8 fix and use of system SDL_gfx)
- Added man page (synced from Fedora)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.17.1-2.mga3
+ Revision: 350478
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 akien <akien> 0.17.1-1.mga3
+ Revision: 338590
- Update of flare (game+engine) to version 0.17.1. No changes to the packaging.

* Sun Jun 10 2012 dams <dams> 0.15.1-2.mga3
+ Revision: 259466
- add require on data subpackage to fix broken installation
+ guillomovitch <guillomovitch>
- fix version number

* Thu Dec 29 2011 guillomovitch <guillomovitch> 0.15-1.mga2
+ Revision: 188609
- imported package flare

